﻿<h1 id="port-security">Port Security</h1>
<h3 id="port-security-is-a-layer-2-security-protocol-that-protects-the-switch-from-cammac-address-flooding-port-security-will-be-enabled-per-interface-on-l2-switches-port-security-by-default-will-shutdown-a-port-and-place-it-into-err-disabled-mode-port-security-can-only-be-enabled-on-access-ports-by-default-port-security-will-only-1-mac-address-per-interface">Port Security is a Layer 2 Security protocol that protects the Switch from CAM/MAC address flooding. Port Security will be enabled per-interface on L2 switches. Port-security by default will shutdown a port and place it into <strong>&quot;err-disabled&quot;</strong> mode. Port-security can only be enabled on <strong>&quot;access&quot;</strong> ports. By default port-security will only 1 MAC address per interface.</h3>
<p><img src="layer_2_security_network_diagram.png" alt="" /></p>
<h3 id="for-this-how-to-we-will-first-configure-the-trunks-vlans-and-access-ports-if-you-do-not-know-how-to-configure-trunks-vlans-and-access-ports-refer-to-our-other-how-tos">For this How To we will first configure the trunks, VLANs and access ports. If you do not know how to configure trunks, VLANs and access ports refer to our other How To's.</h3>
<p><code>SW1(config)#interface range eth0/1, eth0/3</code> # This command brings us into the range-sub-interface mode.</p>
<p><code>SW1(config-if-range)#switchport port-security</code> # This command will enable <strong>&quot;port-security&quot;</strong> on the interface</p>
<p><code>SW1(config-if-range)#switchport port-security maximum 2</code> # This command will set the amount of MAC addresses allowed on the interface</p>
<p><code>SW1(config-if-range)#switchport port-security mac-address sticky</code> # This command will apply the connected SRC MAC address to the running-configuration of the interface.</p>
<h3 id="the-full-configuration-is-shown-below">The full configuration is shown below</h3>
<p><img src="port_security_config.png" alt="" /></p>
<h3 id="verification">Verification</h3>
<p><code>SW1#show run interface ethernet0/3</code> # This command will show you the running configuration of the interface</p>
<p><code>SW1#show port-security</code> # This command will show you the port-security table. This table shows you which ports are configured for port-security.</p>
<p><img src="show_port_security_cmd.png" alt="" /></p>
<p><code>SW1#show port-security interface ethernet0/1</code> # This command will show you the individual ports and how they are configured for port-security.</p>
<p><img src="show_port_security_interface_eth0.png" alt="" /></p>
<p><code>SW1#show port-security | include err</code> # This command will just show you the err-disabled ports in the port security table.</p>
<h3 id="how-to-clear-port-security">How to clear port-security</h3>
<p><code>SW1#clear port-security all</code> # This command will clear any port-security violations.</p>
<p><code>SW1(config-if)#shut</code>
<code>SW1(config-if)#no shut</code> # These two commands reset the interface. This is how you clear the <strong>&quot;err-disabled&quot;</strong> state on an interface.</p>
